explain_statvfs_or_die(3)

NAME
explain_statvfs_or_die - get file system statistics and report errors
    "get file system statistics and report errors"

SYNOPSIS
#include <libexplain/statvfs.h>

void explain_statvfs_or_die(const char *pathname, struct statvfs *data);
int explain_statvfs_on_error(const char *pathname, struct statvfs *data);

DESCRIPTION
The explain_statvfs_or_die function is used to call the statvfs(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_statvfs(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_statvfs_on_error function is used to call the statvfs(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_statvfs(3) function, but still returns to the caller.

pathname
    The pathname, exactly as to be passed to the statvfs(2) system call.

data
    The data, exactly as to be passed to the statvfs(2) system call.

RETURN VALUE
The explain_statvfs_or_die function only returns on success, see statvfs(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_statvfs_on_error function always returns the value return by the wrapped statvfs(2) system call.

EXAMPLE
The explain_statvfs_or_die function is intended to be used in a fashion similar to the following example:
    explain_statvfs_or_die(pathname, data);

SEE ALSO

statvfs(2)
    get file system statistics

explain_statvfs(3)
    explain statvfs(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2010 Peter Miller